# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# X.org modules reference symbols provided by the X server
%global _disable_ld_no_undefined 1

Summary:	Generic X.org driver
Name:		x11-driver-video-modesetting
Version:	0.9.0
Release:	2
Epoch:		1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-modesetting-%{version}.tar.bz2
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires:	udev

%description
x11-driver-video-modesetting is a generic X.org driver for hardware.

It managed by KMS (Kernel Mode Setting), eg: ATI/AMD, Intel&nVidia.

%files
%{_libdir}/xorg/modules/drivers/*
%{_mandir}/man4/modesetting.*

#----------------------------------------------------------------------------

%prep
%setup -q -n xf86-video-modesetting-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:0.9.0-2
+ Revision: b8d62d2
- MassBuild#440: Increase release tag


